- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# VstSpeakerProperties Struct Reference

`#include <aeffectx.h>`

List of all members.

## Public Attributes
float | azimuth
| unit: rad, range: -PI...PI, exception: 10.f for LFE channel
float | elevation
| unit: rad, range: -PI/2...PI/2, exception: 10.f for LFE channel
float | radius
| unit: meter, exception: 0.f for LFE channel
float | reserved
| zero (reserved for future use)
char | name [kVstMaxNameLen]
| for new setups, new names should be given (L/R/C... won't do)
VstInt32 | type
char | future [28]
| reserved for future use

## Detailed Description

Speaker Properties. The origin for azimuth is right (as by math conventions dealing with radians). The elevation origin is also right, visualizing a rotation of a circle across the -pi/pi axis of the horizontal circle. Thus, an elevation of -pi/2 corresponds to bottom, and a speaker standing on the left, and 'beaming' upwards would have an azimuth of -pi, and an elevation of pi/2. For user interface representation, grads are more likely to be used, and the origins will obviously 'shift' accordingly.

## Member Data Documentation

float VstSpeakerProperties::azimuth

unit: rad, range: -PI...PI, exception: 10.f for LFE channel

float VstSpeakerProperties::elevation

unit: rad, range: -PI/2...PI/2, exception: 10.f for LFE channel

char VstSpeakerProperties::future[28]

reserved for future use

char VstSpeakerProperties::name[kVstMaxNameLen]

for new setups, new names should be given (L/R/C... won't do)

float VstSpeakerProperties::radius

unit: meter, exception: 0.f for LFE channel

float VstSpeakerProperties::reserved

zero (reserved for future use)

VstInt32 VstSpeakerProperties::type

See also:
  VstSpeakerType

The documentation for this struct was generated from the following file:

- aeffectx.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.